using System;
using Server.Items;

namespace Server.Items
{
	public class CrystalPowder : Item
	{
		[Constructable]
		public CrystalPowder() : this( 1 )
		{
		}

		[Constructable]
		public CrystalPowder( int amount ) : base( 0x0F05 )
		{
			Stackable = true;
			Amount = amount;
			Weight = 0.1;
			Name = "crystal powder";
		}

		public CrystalPowder( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}